@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400;500;600;700&display=swap');

body {
    padding-top: 50px;
    overflow-x: hidden;
    background: #F4F5FA;
    font-family: 'Open Sans', sans-serif !important;
    font-size: 14px;
    font-weight: 400;
    line-height: 1.3em;
}
.page-title{
    margin-bottom: 0;
}
.btn{
    font-size: 14px;
}
a{
    text-decoration: none;
}
.btn.btn-purple-secondary{
    background: rgba(243, 216, 255, 0.6);
    border-color: transparent;
    color: #a43cd2;
}
.btn.btn-purple{
    background: #662483;
    border-color: #662483;
    color: #fff;
}
.btn.btn-outline-purple{
    background: #fff;
    /* border-color: #662483; */
    border-color: #c3c3c3;
    color: #662483;
}
.btn-purple:hover{
    background: #822da6;
    border-color: #662483;
    color: #fff;
}
.bg-purple{
    background: #662483;
}
.bg-green{
    background: #588324;
}
.bg-red{
    background: #832924;
}
.form-horizontal .bg-light a{
    color: #662483;
}
.text-purple{
    color: #662483;
}
.page-title span{
    /* display: none; */
    margin-right: 7px;
}
.icon-block{
    padding: 0 10px;
    width: auto;
    height: 36px;
    background: rgba(189, 77, 239, 0.2);
    border-radius: 5px;
    display: flex;
    align-items: center;
    justify-content: center;
    border: none;
}
.profile-dd .dropdown-item{
    font-size: 14px;
}
.card{
    border: 0;
    border-radius: 5px;
}
.card.table-cards{
    border:1px solid #eee;
}
.card.table-cards .dataTables_length,
.card.table-cards .dataTables_filter,
.card.table-cards .dataTables_info,
.card.table-cards .dataTables_paginate{
    padding: 17px 15px;
}
.card.table-cards .dataTables_filter input[type="search"]{
    width: 180px;
}
.card.table-cards table.dataTable.custom-table>tbody>tr.even>*,
.card.table-cards table.custom-table>tbody>tr:nth-child(even)>td{
    /* background: #f9f9f9; */
    background: #fefcff;
}
.card.table-cards .table.custom-table th{
    border-right: 1px solid #eee;
    font-size: 10px;
    text-transform: uppercase;
    padding: 0.7rem 0.5rem;
    font-weight: 600;
    color: #333;
}
.card.table-cards .table.custom-table tr td:first-child,
.card.table-cards .table.custom-table tr th:first-child{
    /* padding-left: 15px; */
    border-left: 0;
}

.bootstrap-select .btn-default{
    font-size: 14px;
    border: 1px solid #662483;
    color: #662483;
    border-radius: 5px;
    line-height: 14px;
}
.form-control,
.form-select,
.input-group.input-group-sm .form-control{
    font-size: 14px;
    border-color: #e4e4e4;
    /* background: rgb(239 241 249 / 60%); */
}
html .form-select:focus,
html .form-control:focus{
    border-color: #662483 !important;
    box-shadow: none;
}

.input-group.input-group-sm .form-control{height: 31px;}
.sidebar-brand.sidebar-brand-highlighted{
    background: rgba(189, 77, 239, 0.2);
    border-radius: 5px;
    padding: 15px 10px;
    margin-bottom: 15px;
}
.login-container{
    height: calc(100vh - 50px);
}
.select2-container .select2-selection--single{
    height: 31px !important;
    border-color: #e4e4e4 !important;
    /* background: rgb(239 241 249 / 60%) !important; */
}
.select2-container--default .select2-selection--multiple{
    border-color: #e4e4e4 !important;
    /* background: rgb(239 241 249 / 60%) !important; */
}

.input-group .input-group-text{
    background: rgb(239 241 249 / 60%) !important;
    border-color: #e4e4e4 !important;
}
.select2-dropdown{
    border-color: #e4e4e4 !important;
}

html .select2-container--default 
.select2-selection--multiple 
.select2-selection__choice {
    /* background-color: #ffffff; */
    color: #373737;
    border: 1px solid #d9c1e2;
    font-size: 11px;
}
html .select2-container--default .select2-selection--multiple .select2-selection__choice__remove{
    color: #662483; 
}
html .select2-container--default .select2-results__option--highlighted.select2-results__option--selectable{
    background-color: #f2dcfc;
    color: #662483;
}
.custom-table.table>:not(caption)>*>*{
    padding: .8rem .5rem;
}
.custom-table thead th{
    font-weight: 500;
    border-top:1px solid #dee2e6;
    background: #fbfbfb;
    vertical-align: top;
}
/* .table-responsive td a, */
.custom-table td{
    color: #6E7079;
    border-color: #eee;
    /* color: #4a4b52; */
}
.custom-table tr td:last-child{
    border-right: 0;
}
.custom-table td a:not(.btn){
    color: #662483;
    font-weight: 500;
    text-decoration: underline;
}
.custom-table td a.no-underline{
    text-decoration: none !important;
}
html table.dataTable.dtr-inline.collapsed>tbody>tr>td.dtr-control:before, 
html table.dataTable.dtr-inline.collapsed>tbody>tr>th.dtr-control:before{
    background: #662483 !important;
    left: 10px;
}
html table.dataTable>tbody>tr.child ul.dtr-details{width: 100%;}
table.dataTable>tbody>tr.child ul.dtr-details>li:last-child{padding-bottom: 0;}
/* table.dataTable>tbody>tr.child ul.dtr-details>li .dtr-data{padding-left: 10px;} */
table.dataTable>tbody>tr.child ul.dtr-details>li{white-space: normal; display: flex; align-items: center; padding: 0.7em 0;}
.dataTables_paginate .active>.page-link, 
.dataTables_paginate .page-link.active{
    background: #662483;
    border-color: #662483;
    color: #fff;
}
html table.dataTable.table-hover>tbody>tr:hover>* {
    box-shadow: inset 0 0 0 9999px rgb(156 39 176 / 11%);
}
html table.dataTable thead>tr>th.sorting:before,
html table.dataTable thead>tr>th.sorting:after{
    opacity: 0.3;
    font-size: 10px;
    right: 4px;
}

html table.dataTable thead>tr>th.sorting_asc:before, 
html table.dataTable thead>tr>th.sorting_desc:after, 
html table.dataTable thead>tr>td.sorting_asc:before, 
html table.dataTable thead>tr>td.sorting_desc:after{
    opacity: 0.8;
}

body table.dataTable>tbody>tr.child span.dtr-title {
    display: inline-block;
    min-width: 75px;
    font-weight: 600;
    font-size: 10px;
    text-transform: uppercase;
    color: #555;
    padding-right: 10px;
}
.dataTables_paginate .page-link{
    color: #662483;
}
/* .table-responsive td a:hover{
    color: #000;5
} */
.highlight-purple{
    height: 200px; 
    overflow:hidden;
    background:#fcdce3;
    padding: 15px;
    color: rgb(0 0 0 / 21%);
    /* font-size: 0; */
    position: relative;
    border-radius: 8px 8px 0 0;
    border-bottom: 1px solid #ccc;
}
.report-grid:nth-child(3n) .highlight-purple{
    background:#dcdffc;
}
.report-grid:nth-child(2n) .highlight-purple{
    background:#fbf8ce;
}
.highlight-purple .fa-file-contract{
    font-size: 40px;
    color: rgb(133 133 133 / 74%);
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%,-50%);
}

html .select2-container .select2-search--inline .select2-search__field{
    margin-top: 7px;
    height: 16px;
    margin-left: 10px;
}
.dataTables_length .form-select{
    margin: 0 10px;
}
.page-item .page-link{
    font-size: 14px;
}
.form-label{
    color: #8C9198;
}
.lang-nav a{
    display: block;
    border: 1px solid #fff;
}
.nav-tabs .nav-link{
    color: #53545C;
    font-weight: 400;
}
.nav-tabs .nav-link.active{
    color: #662483;
}
.bulletin-board-form .form-group label:not(.form-check-input,.form-check-label),
.col-form-label,
.col-form-label label{
    /* margin-bottom: 7px; 
    color: #7d7d7d;*/
    color: #535353;
    font-weight: 500;
}
.bulletin-board-form .form-group .form-text{
    margin: 5px 0 10px 0;
    display: block;
}
.qr-content label{
    padding-bottom: 5px;
    color: #7f7f7f;
}
.qr-content p{
    margin-bottom: 0;
    line-height: 24px;
}
.qr-content p a{
    color: #662483;
}
.right-collection-panel{
    width: 300px;
    position:fixed;
    right: -300px;
    top: 0;
    height: 100%;
    padding: 15px;
    background: #fff;
    z-index: 99999;
    overflow-y: auto;
    transition: all 0.3s ease;
}
.right-collection-panel.active{
    right: 0;
}
.dark-backdrop{
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.8);
    position: fixed;
    left: 0;
    top: 0;
    z-index: 99998;
    display: none;
}
.dark-backdrop.active{
    display: block;
}
.select2-dropdown{
    z-index: 999999 !important;
}
.toggle-handle{
    background: #fff;
    border: 1px solid #eee;
}
.toggle-off.btn{
    background: #8e8093;
    color: #fff;
}
.gray-border{
    opacity: 1;
    border-color: #eee;
}
/*.sidebar {*/
    /*display: none;*/
/*}*/

/*@media (min-width: 768px) {*/
    /*.sidebar {*/
        /*position: fixed;*/
        /*top: 51px;*/
        /*bottom: 0;*/
        /*left: 0;*/
        /*z-index: 1000;*/
        /*display: block;*/
        /*padding: 10px;*/
        /*overflow-x: hidden;*/
        /*overflow-y: auto; !* Scrollable contents if viewport is shorter than content. *!*/
        /*background-color: #f5f5f5;*/
        /*border-right: 1px solid #eee;*/
    /*}*/
/*}*/

/* Sidebar navigation */
.nav-sidebar {
    margin-right: -21px; /* 20px padding + 1px border */
    margin-bottom: 20px;
    margin-left: -20px;
}

.nav-sidebar > li > a {
    padding-right: 20px;
    padding-left: 20px;
    color: #222222;
}

.nav-sidebar > .active > a,
.nav-sidebar > .active > a:hover,
.nav-sidebar > .active > a:focus {
    color: #fff;
    background-color: #999999;
}
.clear-input{
    position: absolute;
    right: 35px;
    top: 10px;
    display: none !important;
    cursor: pointer;
}
.input-group:hover .clear-input,
.input-group:focus .clear-input{
    display: block !important;
}
/*Sidebar footer*/

.sidebar-footer {
    bottom: 0;
    text-align: center;
    padding: 5px 5px 5px 0;
    position: fixed;
}

/* Toggle Styles */

#wrapper {
    padding-left: 0;
}

#wrapper.toggled {
    padding-left: 260px;
    -webkit-transition: all 0.3s ease;
    -moz-transition: all 0.3s ease;
    -o-transition: all 0.3s ease;
    transition: all 0.3s ease;
}
#wrapper.toggled #sidebar-wrapper{
    -webkit-transition: all 0.3s ease;
    -moz-transition: all 0.3s ease;
    -o-transition: all 0.3s ease;
    transition: all 0.3s ease;
}
#sidebar-wrapper {
    z-index: 1000;
    position: fixed;
    left: 0;
    width: 260px;
    height: calc(100% - 50px);
    overflow-y: auto;
    background: #fff;
    
    border-right: 1px solid #eee;
    padding: 0 15px;
}

#wrapper.toggled #sidebar-wrapper {
    left: 0;
    width: 260px;
}

#page-content-wrapper {
    width: 100%;
    position: absolute;
    padding: 0;
}

#wrapper.toggled #page-content-wrapper {
    position: absolute;
    margin-right: -300px;
}

/* Sidebar Styles */
#menu-toggle{
    margin-left: 8px;
    transition: all 0.3s ease;
}
#menu-toggle i{
    font-size: 18px;
}
#menu-toggle.active i::before{
    content: "\f0c9";
}

.sidebar-brand {
    padding-top: 10px;
    font-weight: 600;
}

.sidebar-nav {
    position: relative;
    top: 0;
    width: 100%;
    margin: 0;
    padding: 0;
    list-style: none;
}
#wrapper.toggled .sidebar-nav li,
#wrapper.toggled .sidebar-subnav,
#wrapper.toggled .sidebar-nav p{
    transition: all 0.3s ease;
}
.sidebar-nav li, .sidebar-subnav, .sidebar-nav p{
    /* text-indent: 20px; */
    line-height: 30px;
    margin: 0;
    font-size: 13px;
    margin-bottom: 5px;
    /* transition: all 0.3s ease; */
}



.sidebar-nav li ul{
    padding: 10px;
}
.sidebar-nav li ul li a{
    background: none;
}



.sidebar-nav li span,
.sidebar-nav li svg{
    font-size: 13px;
    margin-right: 5px;
    color: #662483;
}
.sidebar-nav li span.badge{
    color: #fff;
    font-size: 8px;
    margin-left: 10px;
    font-weight: normal;
}
.sidebar-nav li.active span.badge{
    background: #fff !important;
    color: #000;
}

.sidebar-hr {
    margin-top: 10px;
    margin-bottom: 10px;
}

.sidebar-nav li a {
    display: flex !important;
    align-items: center;
    text-decoration: none;
    color: #53545C;
    padding: 5px;
    border-radius: 5px;
}

.sidebar-nav .sidebar-hr{
    opacity: 0.08;
}
.sidebar-nav > li.active > a, 
.sidebar-nav > li > a:hover {
    text-decoration: none;
    background: #662483;
    color: #FFF;
}
.sidebar-nav > li.active > a span,
.sidebar-nav > li > a:hover span{
    color: #fff;
}

.sidebar-nav li a:active,
.sidebar-nav li a:focus {
    text-decoration: none;
}

.sidebar-subnav {
    position: relative;
    top: 0;
    /* width: 250px; */
    margin: 0;
    padding: 0;
    list-style: none;
}

.sidebar-subnav li a {
    display: block;
    text-decoration: none;
    color: inherit;
    background: #e9e9e9;
}

.sidebar-subnav > li > .active a:hover {
    text-decoration: none;
    background: #e3e3e3;
}

.sidebar-subnav > li > .active {
    text-decoration: none;
    background: #e3e3e3;
}

.sidebar-subnav li a:active,
.sidebar-subnav li a:focus {
    text-decoration: none;
}

.sidebar-nav > a:hover {
    color: #fff;
    background: none;
}

.navbar-toggler.custom-toggler{
    color: #fff;
    font-size: 18px;
    border-radius: 3px;
    border-color: transparent;
    box-shadow: none;
}
/* body.unauthenticated .custom-navbar{
    display: none;
} */
body.unauthenticated .custom-navbar{
    background: transparent;
}
body.unauthenticated{
    padding-top: 0;
}
@media (min-width: 768px){

    #wrapper.toggled .sidebar-nav li ul.collapse{
        padding: 10px;
    }
    #wrapper:not(.toggled) .sidebar-nav li ul.collapse{
        padding: 0;
    }

    #sidebar-wrapper{
        width: 80px;
    }
    
    #wrapper:not(.toggled) .sidebar-brand.sidebar-brand-highlighted{
        padding: 15px 0;
        background: none;
    }
    #wrapper:not(.toggled) .sidebar-brand.sidebar-brand-highlighted .justify-content-between{
        justify-content: center !important;
    }
    #wrapper:not(.toggled) .sidebar-brand.sidebar-brand-highlighted p{
        font-size: 0;
        line-height: 0;
        margin: 0;
    }
    #wrapper:not(.toggled) .sidebar-brand.sidebar-brand-highlighted p span{
        display: none;
    }
    #wrapper:not(.toggled) .sidebar-brand{display:none;}
    #wrapper:not(.toggled) .sidebar-nav li{font-size: 0;}
    #wrapper:not(.toggled) .sidebar-nav li span.badge{display: none;}
    #wrapper:not(.toggled) .sidebar-nav li a{
        justify-content: center;
        font-size: 0;
    }
    
    #wrapper:not(.toggled) .sidebar-nav li span, 
    #wrapper:not(.toggled) .sidebar-nav li svg{
        margin-right: 0;
    }
    
}
@media (min-width: 768px) {
    #wrapper {
        padding-left: 80px;
    }

    #wrapper.toggled {
        padding-left: 260px;
    }

    /* #sidebar-wrapper {
        width: 0;
    }

    #wrapper.toggled #sidebar-wrapper {
        width: 300px;
    } */

    #page-content-wrapper {
        padding: 0;
        position: relative;
    }

    #wrapper.toggled #page-content-wrapper {
        position: relative;
        margin-right: 0;
    }
}

@media (max-width: 767px) {
    .card.table-cards .dataTables_length, 
    .card.table-cards .dataTables_filter, 
    .card.table-cards .dataTables_info, 
    .card.table-cards .dataTables_paginate{
        padding: 10px 10px;
    }
    .page-title{font-size: 1rem;}
    .custom-navbar .navbar-collapse .navbar-nav .dropdown-menu{
        position: static !important;
        background: transparent;
        border: 0;
    }
    .profile-dd .dropdown-item{
        color: #fff;
        padding: 10px 0 !important;
        background: transparent;
    }
    .profile-dd li:not(:last-child){
        border-bottom: 1px solid #521c69;
    }
    .custom-navbar .navbar-collapse {
        width: 100%;
        position: absolute;
        top: 100%;
        left: 0;
        background: #662483;
        border-top: 1px solid #fff;
    }
    .custom-navbar .navbar-collapse > ul > li:not(.dropdown){
        display: none;
    }
    .custom-navbar .navbar-collapse > ul > li.dropdown{
        padding: 12px 10px;
        border-bottom: 1px solid #521c69;
    }
    .custom-navbar .navbar-collapse > ul > li.dropdown > .btn{
        border: 0;
        padding: 0;
        background: transparent;
        color: #fff;
    }
    #wrapper {
        padding-left: 0;
    }
    #wrapper.toggled {
        padding-left: 0;
    }
    #wrapper.toggled #sidebar-wrapper{
        left: -260px;
    }
    /* #wrapper.toggled #sidebar-wrapper{
        left: -260px;
    } */

    /* #sidebar-wrapper {
        width: 0;
    }

    #wrapper.toggled #sidebar-wrapper {
        width: 300px;
    } */

    #page-content-wrapper {
        padding: 20px;
        position: relative;
    }

    #wrapper.toggled #page-content-wrapper {
        position: relative;
        margin-right: 0;
    }
    
}

/*
 * Main content
 */

.main {
    padding: 20px;
}

@media (min-width: 768px) {
    .main {
        padding-right: 40px;
        padding-left: 40px;
    }
}

.main .page-header {
    margin-top: 0;
}

.form-signin {
    max-width: 330px;
    padding: 15px;
    margin: 0 auto;
    padding-top: 60px;
}

.form-signin .form-signin-heading,
.form-signin .checkbox {
    margin-bottom: 10px;
}

.form-signin .checkbox {
    font-weight: normal;
}

.form-signin .form-control {
    position: relative;
    height: auto;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    padding: 10px;
    font-size: 16px;
}

.form-signin .form-control:focus {
    z-index: 2;
}

.form-signin input[type="text"] {
    margin-bottom: -1px;
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
}

.form-signin input[type="password"] {
    margin-bottom: 10px;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
}

.map:-moz-full-screen {
    height: 100%;
}

.map:-webkit-full-screen {
    height: 100%;
}

.map:-ms-fullscreen {
    height: 100%;
}

.map:fullscreen {
    height: 100%;
}

.ol-rotate {
    top: 3em;
}

.map {
    position: relative;
    height: 16cm;
}

#layertree li > span {
    cursor: pointer;
}

.map_tooltip {
    position: relative;
    padding: 3px;
    background: rgba(0, 0, 0, 0.5);
    color: white;
    opacity: 0.7;
    white-space: nowrap;
    font: 10pt sans-serif;
}

.clickable {
    cursor: pointer;
    text-overline-color: black;
}

.scrollable-menu {
    height: auto;
    max-height: 200px;
    overflow-x: hidden;
}

html .bootstrap-datetimepicker-widget.dropdown-menu{
    width: 16rem;
    padding: 6px;
    font-size: 14px;
}
html .datetimepicker-widget table th,
html .bootstrap-datetimepicker-widget table th  {
    height: 36px;
    line-height: 20px;
    width: 20px;
    vertical-align: middle;
    border: 0;
}
html .datetimepicker-widget table td.day,
html .bootstrap-datetimepicker-widget table td.day {
    height: 36px;
    line-height: 20px;
    width: 20px;
    vertical-align: middle;
    border: 0;
}
html .bootstrap-datetimepicker-widget .fa-clock-o:before{
    content: "\f017";
}   


/* Login css ===================== */
body {
    padding-top: 40px;
    padding-bottom: 40px;
    /* background-color: transparent; */
  }
  
  .form-signin {
    max-width: 330px;
    padding: 15px;
    margin: 0 auto;
  }
  .form-signin .form-signin-heading,
  .form-signin .checkbox {
    margin-bottom: 10px;
  }
  .form-signin .checkbox {
    font-weight: normal;
  }
  .form-signin .form-control {
    position: relative;
    height: auto;
    -webkit-box-sizing: border-box;
       -moz-box-sizing: border-box;
            box-sizing: border-box;
    padding: 10px;
    font-size: 16px;
  }
  .form-signin .form-control:focus {
    z-index: 2;
  }
  .form-signin input[type="email"] {
    margin-bottom: -1px;
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
  }
  .form-signin input[type="password"] {
    margin-bottom: 10px;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
  }
  
  .login .input-group .form-control{
    height: 40px;
    border-right: 0 !important;
  }
  .login .form-control{
    height: 40px;
  }
  html .input-group .input-group-text{
    background: #fff !important;
    border-left: 0 !important;
    transition: all 0.3s ease;
  }
  
  html .form-control:focus + .input-group-text{
    border-color: #662483 !important;
    color: #662483;
  }
  
  
  .login .login-btn{
    font-size: 14px;
    text-transform: uppercase;
  }
  
  .login{
    position: relative;
    z-index: 1;
  }
  
  .video-wrapper{
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
  }
  .video-wrapper::after{
    content: "";
    width: 100%;
    height: 100%;
    background-color: #662483;
    opacity: 0.85;
    position: absolute;
    left: 0;
    top: 0;
  }
  .video-wrapper img{
    width: 100vw;
    height: 100vh;
    object-fit: cover;
    position: absolute;
    top: 0;
    left: 0;
  }
  
  @media screen and (max-width:768px) {
    .video-wrapper video{
      display: none;
    }
    .login{
      margin: 0 10px !important;
    }
  }